<?php 
/**
 * @package     belinni
 * @version     1.1.5
 * @author      Pixelshow
 * @link        http://pixel-show.com
 * @copyright   Copyright (c) 2017 Pixelshow
 * @license     GPL v2
 */

?>

<aside id="post-<?php the_ID(); ?>" <?php post_class('post-list-style'); ?>>
	<div class="post">
	
		<!-- Post: Img -->
		<?php if(has_post_format('quote')) : ?>
			<?php get_template_part('inc/templates/post-formats-ui/format-quote'); ?>

		<?php else : ?>
			<?php if(has_post_thumbnail()) : ?>
				<div class="post-img">
					<a href="<?php echo get_permalink() ?>">
						<img  class="lazy" src="<?php echo pixelshow_lazyload_img(); ?>" data-original="<?php echo the_post_thumbnail_url('belinni-post-grid');?>" data-lazy="<?php echo the_post_thumbnail_url('belinni-post-grid');?>" alt="<?php echo get_post(get_post_thumbnail_id())->post_excerpt; ?>"/>
					</a>
				</div>
			<?php endif; ?>
		<?php endif; ?>

		<div class="list-content-wrapper">
			<!-- Post: Header -->
			<div class="post-header">
				<h4><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h4>
				<?php if(!get_theme_mod('pixelshow_pxs_post_cat')) : ?>
					<span class="category-post-title catery-date-block"><?php pixelshow_category(' '); ?><em>- </em><span class="date"><?php the_time( get_option('date_format') ); ?></span></span>
				<?php endif; ?>
			</div>
			
			<!-- Post: Entry -->
			<div class="post-entry">		
				<p><?php echo pixelshow_string_limit_words(get_the_excerpt(), 26); ?>&hellip;</p>				
			</div>
			
			<!-- Post: Meta -->
			<?php get_template_part('inc/templates/post-tmp/list-meta'); ?>
			<?php get_template_part('inc/templates/post-tmp/social-share'); ?>
		</div>
		
	</div>
</aside>