<?php 
/**
 * @package     belinni
 * @version     1.1.5
 * @author      Pixelshow
 * @link        http://pixel-show.com
 * @copyright   Copyright (c) 2017 Pixelshow
 * @license     GPL v2
 */

?>

<aside id="post-<?php the_ID(); ?>" <?php post_class('post-list-style post-mix-style'); ?>>
	<div class="post">
		
		<?php if(has_post_format('gallery')) : ?>
			<?php $images = get_post_meta( $post->ID, '_format_gallery_images', true ); ?>
			<?php if($images) : ?>
				<div class="post-img">
					<ul class="bxslider">
						<?php foreach($images as $image) : ?>

							<?php $the_image = wp_get_attachment_image_src( $image, 'belinni-middle-size' ); ?>
							<?php $the_caption = get_post_field('post_excerpt', $image); ?>
							<li><img src="<?php echo esc_url($the_image[0]); ?>" <?php if($the_caption) : ?>title="<?php echo esc_html( $the_caption ); ?>"<?php endif; ?> alt="<?php echo esc_html( $the_caption ); ?>"/></li>

						<?php endforeach; ?>
					</ul>
				</div>
			<?php endif; ?>

		<?php elseif(has_post_format('video')) : ?>
			<?php get_template_part('inc/templates/post-formats-ui/format-video-embed'); ?>

		<?php elseif(has_post_format('audio')) : ?>
			<?php get_template_part('inc/templates/post-formats-ui/format-audio-embed'); ?>

		<?php elseif(has_post_format('quote')) : ?>
			<?php get_template_part('inc/templates/post-formats-ui/format-quote'); ?>

		<?php else : ?>
			<?php if(has_post_thumbnail()) : ?>
			<div class="post-img">
				<?php if(is_single()) : ?>
					<img class="lazy" src="<?php echo pixelshow_lazyload_img(); ?>" data-original="<?php echo the_post_thumbnail_url('belinni-middle-size');?>" data-lazy="<?php echo the_post_thumbnail_url('belinni-middle-size');?>" alt="<?php echo get_post(get_post_thumbnail_id())->post_excerpt; ?>"/>
				<?php else : ?>
					<a href="<?php echo get_permalink() ?>">
						<img class="lazy" src="<?php echo pixelshow_lazyload_img(); ?>" data-original="<?php echo the_post_thumbnail_url('belinni-middle-size');?>" data-lazy="<?php echo the_post_thumbnail_url('belinni-middle-size');?>" alt="<?php echo get_post(get_post_thumbnail_id())->post_excerpt; ?>"/>
					</a>
				<?php endif; ?>
			</div>
			<?php endif; ?>

		<?php endif; ?>
		<?php if(!has_post_format('quote')) : ?>
			<!-- Post: Header -->
			<div class="post-header">
				<h4><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h4>
				<span class="category-post-title catery-date-block"><?php pixelshow_category(' '); ?><em>- </em><span class="date"><?php the_time( get_option('date_format') ); ?></span></span>
			</div>

			<!-- Post: Entry -->
			<div class="post-entry">
				<p><?php echo pixelshow_string_limit_words(get_the_excerpt(), 26); ?>&hellip;</p>

				<!-- Post: Meta -->
				<?php get_template_part('inc/templates/post-tmp/list-meta'); ?>
				<?php get_template_part('inc/templates/post-tmp/social-share'); ?>
			</div>
		<?php endif; ?>
	</div>
</aside>