<?php
/**
 * @package     belinni
 * @version     1.1.5
 * @author      Pixelshow
 * @link        http://pixel-show.com
 * @copyright   Copyright (c) 2017 Pixelshow
 * @license     GPL v2
 */

?>
<aside id="post-<?php the_ID(); ?>" <?php if(!is_single()) : ?><?php post_class('default-post-style'); ?><?php endif; ?>>

	<?php if(is_single()) : ?> 

		<div class="post-header">
			<?php if(!get_theme_mod('pixelshow_pxs_post_cat')) : ?>
				<div class="category-post-title catery-date-block single-post-date"><?php pixelshow_category(' '); ?><em>/ </em>
			<?php endif; ?>

			<span class="date"><?php the_time( get_option('date_format') ); ?></span><em>/ </em><?php if(get_comments_number()){ ?><div class="comment-counter single-post-comment-counter"><i class="icons icon-bubbles"></i> <?php comments_popup_link( '0', '1', '%'); ?></div><?php } ?><div class="likes-counter"><?php echo get_simple_likes_button( get_the_ID() ); ?></div></div>

			<a><h1><?php the_title(); ?></h1></a>

			<?php if(get_theme_mod('pixelshow_pxs_post_style') == 'cover_image') : ?>
			<?php else : ?>
				<?php get_template_part('inc/templates/post-tmp/post-header-type'); ?>
			<?php endif; ?>

		</div>
		<?php if(function_exists('add_social_button_in_content')) { echo add_social_button_in_content(); } ?>

		<div class="post-entry">
			<?php echo the_content(); ?>

			<?php
				$args = array(
					'before'           => '<div class="pxs-post-pagination">' . __('Pages:', 'belinni'),
					'after'            => '</div>',
					'link_before'      => '',
					'link_after'       => '',
					'next_or_number'   => 'number',
					'pagelink'         => '%',
					'echo'             => 1,
				);

				wp_link_pages( $args );
			?>
		</div>

		<?php if(!get_theme_mod('pixelshow_pxs_post_share')) : ?>
			<?php get_template_part('inc/templates/single-tmp/share-post'); ?>
		<?php endif; ?>

		<div class="post-meta">
			<?php if(!get_theme_mod('pixelshow_pxs_post_tags')) : ?>
				<?php if(has_tag()) : ?>
					<div class="post-tags">
						<span><i class="fa fa-hashtag"></i><?php echo esc_html_e( 'Tags:', 'belinni' ); ?> </span><?php the_tags("",""); ?>
					</div>
				<?php endif; ?>
			<?php endif; ?>

			<?php if(!get_theme_mod('pixelshow_pxs_post_author')) : ?>
				<?php get_template_part('inc/templates/single-tmp/about-author'); ?>
			<?php endif; ?>

			<?php get_template_part('inc/templates/single-tmp/post-navigation'); ?>

			<?php if(!get_theme_mod('pixelshow_pxs_post_related')) : ?>
				<?php get_template_part('inc/templates/single-tmp/related-posts'); ?>
			<?php endif; ?>

			<?php if(!get_theme_mod('pixelshow_pxs_post_comment_link')) : ?>
				<?php comments_template( '', true );  ?>
			<?php endif; ?>

		</div>

	<?php else : ?>

		<?php if(has_post_format('quote')) : ?>
			<?php get_template_part('inc/templates/post-formats-ui/format-quote'); ?>

		<?php else : ?>
			<?php get_template_part('inc/templates/post-tmp/post-header-type'); ?>
			<div class="post-header">
				<?php if(!get_theme_mod('pixelshow_pxs_post_cat')) : ?>
					<span class="category-post-title catery-date-block"><?php pixelshow_category(' '); ?><em>- </em><span class="date"><?php the_time( get_option('date_format') ); ?></span></span>

					<h3><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
				<?php endif; ?>
			</div>

			<div class="post-entry">
				<p><?php echo pixelshow_string_limit_words(get_the_excerpt(), 80); ?>&hellip;</p>
			</div>
			<?php get_template_part('inc/templates/post-tmp/list-meta'); ?>
			<?php get_template_part('inc/templates/post-tmp/social-share'); ?>
		<?php endif; ?>

	<?php endif; ?>

</aside>