<?php
/**
 * @package     belinni
 * @version     1.1.5
 * @author      Pixelshow
 * @link        http://pixel-show.com
 * @copyright   Copyright (c) 2017 Pixelshow
 * @license     GPL v2
 */

/**
* Customizer - Add Custom Styling
*/
function pixelshow_customizer_style()
{
	wp_enqueue_style('customizer-css', get_template_directory_uri() . '/functions/customizer/css/customizer.css');
}
add_action('customize_controls_print_styles', 'pixelshow_customizer_style');

/**
* Customizer - Add Settings
*/
function pixelshow_register_theme_customizer( $wp_customize ) {
	
	$prefix  = 'belinni_option_';
	$options = array();
 	
	// Add Sections
	
	$wp_customize->add_section( 'pixelshow_new_section_logo_header' , array(
   		'title'      => esc_html__( 'Logo & Header Settings', 'belinni' ),
   		'priority'   => 90,
	) );
	
	$wp_customize->add_section( 'pixelshow_new_section_featured' , array(
		'title'      => esc_html__( 'Carousel Settings / Featured Area', 'belinni' ),
		'priority'   => 91,
	) );

	$wp_customize->add_section( 'pixelshow_new_section_general' , array(
		'title'      => esc_html__( 'Layouts Settings', 'belinni' ),
		'priority'   => 92,
	) );

	$wp_customize->add_section( 'pixelshow_new_section_sidebar' , array(
		'title'      => esc_html__( 'Sidebar Settings', 'belinni' ),
		'priority'   => 93,
	) );
	
	$wp_customize->add_section( 'pixelshow_new_section_listarea' , array(
		'title'      => esc_html__( 'Slider / Posts Area', 'belinni' ),
		'priority'   => 94,
	) );

	$wp_customize->add_section( 'pixelshow_new_section_post' , array(
		'title'      => esc_html__( 'Post Settings', 'belinni' ),
		'priority'   => 95,
	) );

	$wp_customize->add_section( 'pixelshow_new_mostliked_post' , array(
		'title'      => esc_html__( 'Most Liked Post', 'belinni' ),
		'priority'   => 96,
	) );

	$wp_customize->add_section( 'pixelshow_new_section_most_popular' , array(
		'title'      => esc_html__( 'Most Popular Posts', 'belinni' ),
		'priority'   => 97,
	) );

	$wp_customize->add_section( 'pixelshow_new_section_social' , array(
		'title'      => esc_html__( 'Social Media Settings', 'belinni' ),
		'priority'   => 98,
	) );

	$wp_customize->add_section( 'pixelshow_new_fonts_settings' , array(
		'title'      => esc_html__( 'Typography', 'belinni' ),
		'priority'   => 99,
	) );

	$wp_customize->add_section( 'pixelshow_new_section_footer' , array(
   		'title'      => esc_html__( 'Footer Settings', 'belinni' ),
   		'priority'   => 100,
	) );
	
	$wp_customize->add_section( 'pixelshow_new_section_custom_css' , array(
   		'title'      => esc_html__( 'Custom CSS', 'belinni' ),
   		'description'=> esc_html__( 'Add your custom CSS which will overwrite the theme CSS', 'belinni' ),
   		'priority'   => 101,
	) );
	
	// Add Setting

		// General
		$wp_customize->add_setting(
	        'pixelshow_pxs_home_layout',
	        array(
	            'default'     => 'full',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_archive_layout',
	        array(
	            'default'     => 'full',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_sidebar_homepage',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_sidebar_post',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_sidebar_archive',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
			'pixelshow_pxs_sidebar_shop',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_sidebar_left_position_home',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_sidebar_left_position_archive',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_sidebar_left_position_post',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_sidebar_left_position_shop',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_sidebar_socials_views',
			array(
				'default'     => 'multicolor_socials',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
			)
		);

		//Most Liked
		$wp_customize->add_setting(
			'pixelshow_new_mostliked_en',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_new_mostliked_title',
			array(
				'default'     => 'Most Liked Posts',
				'sanitize_callback'	=> 'belinni_sanitize_html'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_mostliked_slider_slides',
			array(
				'default'     => 8,
				'sanitize_callback'	=> 'belinni_sanitize_number'
			)
		);

		// Most Popular Posts
		$wp_customize->add_setting(
			'pixelshow_new_section_most_popular_title',
			array(
				'default'     => 'Most Popular Posts',
				'sanitize_callback'	=> 'belinni_sanitize_html'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_mpp_homepage',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_mpp_post',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_mpp_archive',
			array(
				'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
			)
		);

		// Header & Logo
		 
		$wp_customize->add_setting(
	        'pixelshow_pxs_logo',
				array(
				'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_image'
			)
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_logo_retina',
				array(
				'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_image'
			)
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_padding_top',
	        array(
	            'default'     => '0',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_padding_bottom',
	        array(
	            'default'     => '0',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_logo_width',
	        array(
	            'default'     => '226',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_logo_height',
	        array(
	            'default'     => '82',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_view_style',
	        array(
	            'default'     => 'default',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_header_background_color',
	        array(
	            'default'     => '#fff',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_header_text_color',
	        array(
	            'default'     => '#111',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_background',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_image'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_header_opacity',
	        array(
	            'default'     => '100',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
			'pixelshow_pxs_header_nav_font_size',
			array(
				'default'     => '13',
				'sanitize_callback'	=> 'belinni_sanitize_number'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_header_nav_font_weight',
			array(
				'default'     => '500',
				'sanitize_callback'	=> 'belinni_sanitize_number'
			)
		);
		
		//Typography
		$wp_customize->add_setting(
	        'pixelshow_pxs_body_font_family',
	        array(
	            'default'     => 'open_sans',
				'sanitize_callback'	=> 'belinni_sanitize_html'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_body_font_size',
	        array(
	            'default'     => '15',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_body_font_color',
	        array(
	            'default'     => '#808080',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		
		$wp_customize->add_setting(
	        'pixelshow_pxs_heading_font_family',
	        array(
	            'default'     => 'poppins',
				'sanitize_callback'	=> 'belinni_sanitize_html'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_heading_font_weight',
	        array(
	            'default'     => '700',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_heading_letter_spacing',
	        array(
	            'default'     => '0',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_heading_font_color',
	        array(
	            'default'     => '#111',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		
		$wp_customize->add_setting(
	        'pixelshow_pxs_h1_font_size',
	        array(
	            'default'     => '36',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_h2_font_size',
	        array(
	            'default'     => '33',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_h3_font_size',
	        array(
	            'default'     => '30',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_h4_font_size',
	        array(
	            'default'     => '25',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_h5_font_size',
	        array(
	            'default'     => '19',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_h6_font_size',
	        array(
	            'default'     => '17',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		
		// Featured area
		$wp_customize->add_setting(
	        'pixelshow_pxs_featured_slider',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_featured_cat',
				array(
				'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_html'
			)
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_featured_cat_hide',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_featured_dots',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_featured_slider_slides',
	        array(
	            'default'     => '5',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_featured_item_view',
	        array(
	            'default'     => 'one_item',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		
		// List Slider area
		$wp_customize->add_setting(
	        'pixelshow_pxs_listarea_slider',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_listarea_cat',
				array(
				'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_html'
			)
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_listarea_slider_slides',
	        array(
	            'default'     => '5',
				'sanitize_callback'	=> 'belinni_sanitize_number'
	        )
	    );
		
		// Post Settings
		$wp_customize->add_setting(
			'pixelshow_pxs_post_style',
			array(
				'default'     => 'default',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
			)
		);
		$wp_customize->add_setting(
	        'pixelshow_pxs_post_tags',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_post_author',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_post_related',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_post_share',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_post_comment_link',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_post_thumb',
	        array(
	            'default'     => false,
				'sanitize_callback'	=> 'belinni_sanitize_checkbox'
	        )
	    );
		
		// Social Media
		$wp_customize->add_setting(
	        'pixelshow_pxs_facebook',
	        array(
	            'default'     => 'https://www.facebook.com/',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_twitter',
	        array(
	            'default'     => 'https://twitter.com/',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_instagram',
	        array(
	            'default'     => 'https://www.instagram.com/',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_pinterest',
	        array(
	            'default'     => 'https://www.pinterest.com/',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_tumblr',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_bloglovin',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_tumblr',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_google',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_youtube',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
	    $wp_customize->add_setting(
	        'pixelshow_pxs_dribbble',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
	    $wp_customize->add_setting(
	        'pixelshow_pxs_soundcloud',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
	    $wp_customize->add_setting(
	        'pixelshow_pxs_vimeo',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_linkedin',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_rss',
	        array(
	            'default'     => '',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		
		// Footer
		$wp_customize->add_setting(
	        'pixelshow_pxs_footer_layout',
	        array(
	            'default'     => 'default',
				'sanitize_callback'	=> 'belinni_sanitize_nohtml'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_footer_copyright_right',
	        array(
	            'default'     => esc_html__( '2017 - All Rights Reserved.', 'belinni' ),
				'sanitize_callback'	=> 'belinni_sanitize_html'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_footer_color',
	        array(
	            'default'     => '#fff',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_footer_color_1',
	        array(
	            'default'     => '#111',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_footer_color_2',
	        array(
	            'default'     => '#333',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		$wp_customize->add_setting(
	        'pixelshow_pxs_footer_border_colors',
	        array(
	            'default'     => '#eee',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
	        )
	    );
		
		// Color general
		$wp_customize->add_setting(
			'pixelshow_pxs_color_accent',
			array(
				'default'     => '#ff2a2d',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
			)
		);

		$wp_customize->add_setting(
			'pixelshow_pxs_color_more_border',
			array(
				'default'     => '#eee',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
			)
		);
		$wp_customize->add_setting(
			'pixelshow_pxs_color_more_text',
			array(
				'default'     => '#111',
				'sanitize_callback'	=> 'belinni_sanitize_hex_color'
			)
		);
		
		// Custom CSS
			$wp_customize->add_setting(
				'pixelshow_pxs_custom_css',
					array(
					'default'     => '',
					'sanitize_callback'	=> 'belinni_sanitize_css'
				)
			);
		

    // Add Control
	
		// General
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'home_layout',
				array(
					'label'          => esc_html__( 'Homepage Layout', 'belinni' ),
					'section'        => 'pixelshow_new_section_general',
					'settings'       => 'pixelshow_pxs_home_layout',
					'type'           => 'radio-image',
					'priority'	 => 3,
					'choices'        => array(
						'full'  => array(
							'title' => esc_html__( 'Full Post Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/default.png'
						),
						'mixed'  => array(
							'title' => 'Mixed Post Layout',
							'image' => get_template_directory_uri() . '/functions/assets/post-style/mixed.png'
						),
						'grid'  => array(
							'title' => esc_html__( 'Grid Post Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/grid.png'
						),
						'full_grid'  => array(
							'title' => esc_html__( 'Full Post + Grid Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/full_grid.png'
						),
						'list'  => array(
							'title' => esc_html__( 'List Post Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/list.png'
						),
						'full_list'  => array(
							'title' => esc_html__( 'Full Post + List Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/full_list.png'
						),
						'grid_wo_margin_2'  => array(
							'title' => esc_html__( 'Masonry', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/masonry.png'
						)
					)
				)
			)
		);
		
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'archive_layout',
				array(
					'label'          => esc_html__( 'Archive Layout', 'belinni' ),
					'section'        => 'pixelshow_new_section_general',
					'settings'       => 'pixelshow_pxs_archive_layout',
					'type'           => 'radio-image',
					'priority'	 => 3,
					'choices'        => array(
						'full'  => array(
							'title' => esc_html__( 'Full Post Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/default.png'
						),
						'mixed'  => array(
							'title' => 'Mixed Post Layout',
							'image' => get_template_directory_uri() . '/functions/assets/post-style/mixed.png'
						),
						'grid'  => array(
							'title' => esc_html__( 'Grid Post Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/grid.png'
						),
						'full_grid'  => array(
							'title' => esc_html__( 'Full Post + Grid Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/full_grid.png'
						),
						'list'  => array(
							'title' => esc_html__( 'List Post Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/list.png'
						),
						'full_list'  => array(
							'title' => esc_html__( 'Full Post + List Layout', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/full_list.png'
						),
						'grid_wo_margin_2'  => array(
							'title' => esc_html__( 'Grid Without Margin 2', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/post-style/masonry.png'
						)
					)
				)
			)
		);

		// Sidebar
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_homepage',
				array(
					'label'      => esc_html__( 'Disable Sidebar on Home', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_homepage',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 4
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_post',
				array(
					'label'      => esc_html__( 'Disable Sidebar on Posts', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_post',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 5
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_archive',
				array(
					'label'      => esc_html__( 'Disable Sidebar on Archives', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_archive',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 6
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_shop',
				array(
					'label'      => esc_html__( 'Disable Sidebar on Shop', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_shop',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 7
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_position_home',
				array(
					'label'      => esc_html__( 'Left Sidebar on Home', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_left_position_home',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 7
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_position_archives',
				array(
					'label'      => esc_html__( 'Left Sidebar on Archives', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_left_position_archive',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 8
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'sidebar_position_post',
				array(
					'label'      => esc_html__( 'Left Sidebar on Page', 'belinni' ),
					'section'    => 'pixelshow_new_section_sidebar',
					'settings'   => 'pixelshow_pxs_sidebar_left_position_post',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 9
				)
			)
		);
	$wp_customize->add_control(
		new WP_Customize_ToggleCheckbox_Control(
			$wp_customize,
			'sidebar_position_shop',
			array(
				'label'      => esc_html__( 'Left Sidebar on Shop', 'belinni' ),
				'section'    => 'pixelshow_new_section_sidebar',
				'settings'   => 'pixelshow_pxs_sidebar_left_position_shop',
				'type'		 => 'toggle-checkbox',
				'priority'	 => 10
			)
		)
	);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'color_accent',
				array(
					'label'      => esc_html__( 'Accent Color', 'belinni' ),
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_color_accent',
					'priority'	 => 1
				)
			)
		);
		// Most Liked Posts
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'mostliked_en',
				array(
					'label'      => esc_html__( 'Enable Most Liked Posts', 'belinni' ),
					'section'    => 'pixelshow_new_mostliked_post',
					'settings'   => 'pixelshow_new_mostliked_en',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 1
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'mostliked_title',
				array(
					'label'      => esc_html__( 'Title', 'belinni' ),
					'section'    => 'pixelshow_new_mostliked_post',
					'settings'   => 'pixelshow_new_mostliked_title',
					'type'		 => 'text',
					'priority'	 => 2
				)
			)
		);

		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'mostliked_slider_slides',
				array(
					'label'      => esc_html__( 'Amount of Slides', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_mostliked_post',
					'settings'   => 'pixelshow_pxs_mostliked_slider_slides',
					'priority'	 => 5,
					'choices'   => array(
						'min'  => 4,
						'max'  => 20,
						'step' => 1,
					),
				)
			)
		);

		// Most Popular Posts
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'section_most_popular_title',
				array(
					'label'      => esc_html__( 'Title', 'belinni' ),
					'section'    => 'pixelshow_new_section_most_popular',
					'settings'   => 'pixelshow_new_section_most_popular_title',
					'type'		 => 'text',
					'priority'	 => 1
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'mpp_homepage',
				array(
					'label'      => esc_html__( 'Show on Home', 'belinni' ),
					'section'    => 'pixelshow_new_section_most_popular',
					'settings'   => 'pixelshow_pxs_mpp_homepage',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 4
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'mpp_post',
				array(
					'label'      => esc_html__( 'Show on Posts', 'belinni' ),
					'section'    => 'pixelshow_new_section_most_popular',
					'settings'   => 'pixelshow_pxs_mpp_post',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 5
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'mpp_archive',
				array(
					'label'      => esc_html__( 'Show on Archives', 'belinni' ),
					'section'    => 'pixelshow_new_section_most_popular',
					'settings'   => 'pixelshow_pxs_mpp_archive',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 6
				)
			)
		);
		
		// Header and Logo
		
		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'upload_logo',
				array(
					'label'      => esc_html__( 'Upload Logo', 'belinni' ),
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_logo',
					'priority'	 => 20
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'upload_logo_retina',
				array(
					'label'      => esc_html__( 'Upload Logo (Retina x2)', 'belinni' ),
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_logo_retina',
					'priority'	 => 21
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_logo_width',
				array(
					'label'      => esc_html__( 'Logo Width (px)', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_logo_width',
					'priority'	 => 22,
					'choices'   => array(
						'min'  => 0,
						'max'  => 500,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_logo_height',
				array(
					'label'      => esc_html__( 'Logo Height (px)', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_logo_height',
					'priority'	 => 23,
					'choices'   => array(
						'min'  => 0,
						'max'  => 500,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_padding_top',
				array(
					'label'      => esc_html__( 'Top Logo Margin', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_padding_top',
					'priority'	 => 24,
					'choices'   => array(
						'min'  => 0,
						'max'  => 500,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_padding_bottom',
				array(
					'label'      => esc_html__( 'Bottom Logo Margin', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_padding_bottom',
					'priority'	 => 25,
					'choices'   => array(
						'min'  => 0,
						'max'  => 500,
						'step' => 1,
					),
				)
			)
		);
		
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'header_background_color',
				array(
					'label'      => esc_html__( 'Header Background Color', 'belinni' ),
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_header_background_color',
					'priority'	 => 26
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'header_text_color',
				array(
					'label'      => esc_html__( 'Header Icons Color', 'belinni' ),
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_header_text_color',
					'priority'	 => 27
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'header_background',
				array(
					'label'      => esc_html__( 'Header Background', 'belinni' ),
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_background',
					'priority'	 => 28
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_opacity',
				array(
					'label'      => esc_html__( 'Header Opacity', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_opacity',
					'priority'	 => 29,
					'choices'   => array(
						'min'  => 0,
						'max'  => 1,
						'step' => 0.1,
					),
				)
			)
		);
		
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'header_view_style',
				array(
					'label'          => esc_html__( 'Header Layout', 'belinni' ),
					'section'        => 'pixelshow_new_section_logo_header',
					'settings'       => 'pixelshow_pxs_header_view_style',
					'type'           => 'radio-image',
					'priority'	 => 19,
					'choices'        => array(
						'view_1'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/1.png'
						),
						'view_2'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/2.png'
						),
						'view_3'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/3.png'
						),
						'view_4'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/4.png'
						),
						'view_5'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/5.png'
						),
						'view_6'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/6.png'
						),
						'view_7'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/7.png'
						),
						'view_8'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/8.png'
						),
						'view_9'  => array(
							'title' => '',
							'image' => get_template_directory_uri() . '/functions/assets/logo/8.png'
						)
					)
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_navigation_font_size',
				array(
					'label'      => esc_html__( 'Header Navigation Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_nav_font_size',
					'priority'	 => 30,
					'choices'   => array(
						'min'  => 5,
						'max'  => 60,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'header_navigation_font_weight',
				array(
					'label'      => esc_html__( 'Header Navigation Font Weight', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_logo_header',
					'settings'   => 'pixelshow_pxs_header_nav_font_weight',
					'priority'	 => 31,
					'choices'   => array(
						'min'  => 300,
						'max'  => 700,
						'step' => 100,
					),
				)
			)
		);
		
		// Featured area
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'featured_slider',
				array(
					'label'      => esc_html__( 'Disable Featured Slider', 'belinni' ),
					'section'    => 'pixelshow_new_section_featured',
					'settings'   => 'pixelshow_pxs_featured_slider',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 2
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_WP_Customize_Category_Control(
				$wp_customize,
				'featured_cat',
				array(
					'label'    => esc_html__( 'Select Featured Category', 'belinni' ),
					'settings' => 'pixelshow_pxs_featured_cat',
					'section'  => 'pixelshow_new_section_featured',
					'priority'	 => 3
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'featured_cat_hide',
				array(
					'label'      => esc_html__( 'Hide Slider Navigation', 'belinni' ),
					'section'    => 'pixelshow_new_section_featured',
					'settings'   => 'pixelshow_pxs_featured_cat_hide',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 4
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'featured_dots',
				array(
					'label'      => esc_html__( 'Hide Slider Dots', 'belinni' ),
					'section'    => 'pixelshow_new_section_featured',
					'settings'   => 'pixelshow_pxs_featured_dots',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 5
				)
			)
		);
		
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'featured_slider_slides',
				array(
					'label'      => esc_html__( 'Amount of Slides', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_featured',
					'settings'   => 'pixelshow_pxs_featured_slider_slides',
					'priority'	 => 5,
					'choices'   => array(
						'min'  => 2,
						'max'  => 14,
						'step' => 1,
					),
				)
			)
		);
		
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'featured_item_view',
				array(
					'label'          => esc_html__( 'Featured Items', 'belinni' ),
					'section'        => 'pixelshow_new_section_featured',
					'settings'       => 'pixelshow_pxs_featured_item_view',
					'type'           => 'radio-image',
					'priority'	 => 3,
					'choices'        => array(
						'one_item'  => array(
							'title' => '1 Item',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-1.png'
						),
						'one_full_item'  => array(
							'title' => '1 Item / Full Width',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-4.png'
						),
						'two_item'  => array(
							'title' => '2 Items',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-2.png'
						),
						'two_full_item'  => array(
							'title' => '2 Items / Full Width',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-5.png'
						),
						'three_full_item'  => array(
							'title' => '3 Items / Full Width',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-3.png'
						),
						'four_item'  => array(
							'title' => '3 Items with margin',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-3it.png'
						),
						'static_six_grid'  => array(
							'title' => '6 Static Items',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-six-grid.png'
						),
						'static_three_grid'  => array(
							'title' => '3 Static Items',
							'image' => get_template_directory_uri() . '/functions/assets/carousel/carousel-three-grid.png'
						)
					)
				)
			)
		);
		
		// List Slider Area
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'listarea_slider',
				array(
					'label'      => esc_html__( 'Enable Slider in List Area', 'belinni' ),
					'section'    => 'pixelshow_new_section_listarea',
					'settings'   => 'pixelshow_pxs_listarea_slider',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 2
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_WP_Customize_Category_Control(
				$wp_customize,
				'listarea_cat',
				array(
					'label'    => esc_html__( 'Select Category', 'belinni' ),
					'settings' => 'pixelshow_pxs_listarea_cat',
					'section'  => 'pixelshow_new_section_listarea',
					'priority'	 => 3
				)
			)
		);
	
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'listarea_slider_slides',
				array(
					'label'      => esc_html__( 'Amount of Slides', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_section_listarea',
					'settings'   => 'pixelshow_pxs_listarea_slider_slides',
					'priority'	 => 5,
					'choices'   => array(
						'min'  => 2,
						'max'  => 14,
						'step' => 1,
					),
				)
			)
		);
		
		// Typography
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'body_fonts_family',
				array(
					'label'      => esc_html__( 'Main Font', 'belinni' ),
					'type'       => 'select',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_body_font_family',
					'priority'	 => 2,
					'choices'     => pixelshow_get_fonts(),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'body_font_size',
				array(
					'label'      => esc_html__( 'Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_body_font_size',
					'priority'	 => 3,
					'choices'   => array(
						'min'  => 5,
						'max'  => 60,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'body_font_color',
				array(
					'label'      => esc_html__( 'Body Font Color', 'belinni' ),
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_body_font_color',
					'priority'	 => 4
				)
			)
		);
		
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'heading_fonts_family',
				array(
					'label'      => esc_html__( 'Heading Font', 'belinni' ),
					'type'       => 'select',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_heading_font_family',
					'priority'	 => 5,
					'choices'     => pixelshow_get_fonts(),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'heading_font_weight',
				array(
					'label'      => esc_html__( 'Heading Font Weight', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_heading_font_weight',
					'priority'	 => 6,
					'choices'   => array(
						'min'  => 100,
						'max'  => 900,
						'step' => 100,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'heading_letter_spacing',
				array(
					'label'      => esc_html__( 'Heading Letter Spacing', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_heading_letter_spacing',
					'priority'	 => 7,
					'choices'   => array(
						'min'  => -1,
						'max'  => 1,
						'step' => 0.1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'heading_font_color',
				array(
					'label'      => esc_html__( 'Heading Font Color', 'belinni' ),
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_heading_font_color',
					'priority'	 => 8
				)
			)
		);
		
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'h1_font_size',
				array(
					'label'      => esc_html__( 'H1 Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_h1_font_size',
					'priority'	 => 9,
					'choices'   => array(
						'min'  => 5,
						'max'  => 80,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'h2_font_size',
				array(
					'label'      => esc_html__( 'H2 Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_h2_font_size',
					'priority'	 => 10,
					'choices'   => array(
						'min'  => 5,
						'max'  => 80,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'h3_font_size',
				array(
					'label'      => esc_html__( 'H3 Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_h3_font_size',
					'priority'	 => 11,
					'choices'   => array(
						'min'  => 5,
						'max'  => 80,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'h4_font_size',
				array(
					'label'      => esc_html__( 'H4 Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_h4_font_size',
					'priority'	 => 12,
					'choices'   => array(
						'min'  => 5,
						'max'  => 80,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'h5_font_size',
				array(
					'label'      => esc_html__( 'H5 Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_h5_font_size',
					'priority'	 => 13,
					'choices'   => array(
						'min'  => 5,
						'max'  => 80,
						'step' => 1,
					),
				)
			)
		);
		$wp_customize->add_control(
			new Pixelshow_Customize_Number_Control(
				$wp_customize,
				'h6_font_size',
				array(
					'label'      => esc_html__( 'H6 Font Size', 'belinni' ),
					'type'       => 'number',
					'section'    => 'pixelshow_new_fonts_settings',
					'settings'   => 'pixelshow_pxs_h6_font_size',
					'priority'	 => 14,
					'choices'   => array(
						'min'  => 5,
						'max'  => 80,
						'step' => 1,
					),
				)
			)
		);
		
		// Post Settings
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'post_style',
				array(
					'label'          => esc_html__( 'Single Layout', 'belinni' ),
					'section'        => 'pixelshow_new_section_post',
					'settings'       => 'pixelshow_pxs_post_style',
					'type'           => 'radio-image',
					'priority'	 => 1,
					'choices'        => array(
						'default'  => array(
							'title' => esc_html__( 'Default', 'belinni' ),
							'image' => get_template_directory_uri() . '/functions/assets/single/single-1.png'
						),
						'cover_image'  => array(
							'title' => 'Cover Image',
							'image' => get_template_directory_uri() . '/functions/assets/single/single-2.png'
						)
					)
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'post_tags',
				array(
					'label'      => esc_html__( 'Hide Tags', 'belinni' ),
					'section'    => 'pixelshow_new_section_post',
					'settings'   => 'pixelshow_pxs_post_tags',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 2
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'post_share',
				array(
					'label'      => esc_html__( 'Hide Share Buttons', 'belinni' ),
					'section'    => 'pixelshow_new_section_post',
					'settings'   => 'pixelshow_pxs_post_share',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 5
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'post_comment_link',
				array(
					'label'      => esc_html__( 'Hide Comments', 'belinni' ),
					'section'    => 'pixelshow_new_section_post',
					'settings'   => 'pixelshow_pxs_post_comment_link',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 6
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'post_author',
				array(
					'label'      => esc_html__( 'Hide Author Box', 'belinni' ),
					'section'    => 'pixelshow_new_section_post',
					'settings'   => 'pixelshow_pxs_post_author',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 7
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'post_related',
				array(
					'label'      => esc_html__( 'Hide Related Posts Box', 'belinni' ),
					'section'    => 'pixelshow_new_section_post',
					'settings'   => 'pixelshow_pxs_post_related',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 8
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_ToggleCheckbox_Control(
				$wp_customize,
				'post_thumb',
				array(
					'label'      => esc_html__( 'Hide Image from top of Post', 'belinni' ),
					'section'    => 'pixelshow_new_section_post',
					'settings'   => 'pixelshow_pxs_post_thumb',
					'type'		 => 'toggle-checkbox',
					'priority'	 => 9
				)
			)
		);
		
		// Social Media
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'sidebar_social_views',
				array(
					'label'          => esc_html__( 'Sidebar Socials Style', 'belinni' ),
					'section'        => 'pixelshow_new_section_social',
					'settings'       => 'pixelshow_pxs_sidebar_socials_views',
					'type'           => 'radio-image',
					'priority'	 => 1,
					'choices'        => array(
						'multicolor_socials'  => array(
							'title' => 'Multicolor',
							'image' => get_template_directory_uri() . '/functions/assets/socials/1.png'
						),
						'light_socials'  => array(
							'title' => 'Light',
							'image' => get_template_directory_uri() . '/functions/assets/socials/2.png'
						),
						'dark_socials'  => array(
							'title' => 'Dark',
							'image' => get_template_directory_uri() . '/functions/assets/socials/3.png'
						)
					)
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'facebook',
				array(
					'label'      => esc_html__( 'Facebook', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_facebook',
					'type'		 => 'text',
					'priority'	 => 1
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'twitter',
				array(
					'label'      => esc_html__( 'Twitter', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_twitter',
					'type'		 => 'text',
					'priority'	 => 2
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'instagram',
				array(
					'label'      => esc_html__( 'Instagram', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_instagram',
					'type'		 => 'text',
					'priority'	 => 3
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'pinterest',
				array(
					'label'      => esc_html__( 'Pinterest', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_pinterest',
					'type'		 => 'text',
					'priority'	 => 4
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'bloglovin',
				array(
					'label'      => esc_html__( 'Bloglovin', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_bloglovin',
					'type'		 => 'text',
					'priority'	 => 5
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'google',
				array(
					'label'      => esc_html__( 'Google Plus', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_google',
					'type'		 => 'text',
					'priority'	 => 6
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'tumblr',
				array(
					'label'      => esc_html__( 'Tumblr', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_tumblr',
					'type'		 => 'text',
					'priority'	 => 7
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'youtube',
				array(
					'label'      => esc_html__( 'Youtube', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_youtube',
					'type'		 => 'text',
					'priority'	 => 8
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'dribbble',
				array(
					'label'      => esc_html__( 'Dribbble', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_dribbble',
					'type'		 => 'text',
					'priority'	 => 9
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'soundcloud',
				array(
					'label'      => esc_html__( 'Soundcloud', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_soundcloud',
					'type'		 => 'text',
					'priority'	 => 10
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'vimeo',
				array(
					'label'      => esc_html__( 'Vimeo', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_vimeo',
					'type'		 => 'text',
					'priority'	 => 11
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'linkedin',
				array(
					'label'      => esc_html__( 'Linkedin (Use full URL to your Linkedin profile)', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_linkedin',
					'type'		 => 'text',
					'priority'	 => 12
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'rss',
				array(
					'label'      => esc_html__( 'RSS Link', 'belinni' ),
					'section'    => 'pixelshow_new_section_social',
					'settings'   => 'pixelshow_pxs_rss',
					'type'		 => 'text',
					'priority'	 => 13
				)
			)
		);
		
		// Footer
		$wp_customize->add_control(
			new Pixelshow_Customize_Radio_Image_Control(
				$wp_customize,
				'footer_layout',
				array(
					'label'          => 'Footer Layout',
					'section'        => 'pixelshow_new_section_footer',
					'settings'       => 'pixelshow_pxs_footer_layout',
					'type'           => 'radio-image',
					'priority'	 => 1,
					'choices'        => array(
						'default'  => array(
							'title' => 'Footer Style 1',
							'image' => get_template_directory_uri() . '/functions/assets/footer/footer-1.png'
						),
						'footer_2'  => array(
							'title' => 'Footer Style 2',
							'image' => get_template_directory_uri() . '/functions/assets/footer/footer-2.png'
						),
					)
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'footer_copyright_right',
				array(
					'label'      => esc_html__( 'Footer Copyright Text (Page)', 'belinni' ),
					'section'    => 'pixelshow_new_section_footer',
					'settings'   => 'pixelshow_pxs_footer_copyright_right',
					'type'		 => 'text',
					'priority'	 => 2
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'footer_background',
				array(
					'label'      => esc_html__( 'Footer Background Color', 'belinni' ),
					'section'    => 'pixelshow_new_section_footer',
					'settings'   => 'pixelshow_pxs_footer_color',
					'priority'	 => 3
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'footer_color_1',
				array(
					'label'      => esc_html__( 'Footer Main Text Color', 'belinni' ),
					'section'    => 'pixelshow_new_section_footer',
					'settings'   => 'pixelshow_pxs_footer_color_1',
					'priority'	 => 4
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'footer_color_2',
				array(
					'label'      => esc_html__( 'Footer Secondary Text Color', 'belinni' ),
					'section'    => 'pixelshow_new_section_footer',
					'settings'   => 'pixelshow_pxs_footer_color_2',
					'priority'	 => 5
				)
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'footer_border_color',
				array(
					'label'      => esc_html__( 'Footer Borders Color', 'belinni' ),
					'section'    => 'pixelshow_new_section_footer',
					'settings'   => 'pixelshow_pxs_footer_border_colors',
					'priority'	 => 6
				)
			)
		);
			
		// Custom CSS
		$wp_customize->add_control(
			new Pixelshow_Customize_CustomCss_Control(
				$wp_customize,
				'custom_css',
				array(
					'label'      => esc_html__( 'Custom CSS', 'belinni' ),
					'section'    => 'pixelshow_new_section_custom_css', 
					'settings'   => 'pixelshow_pxs_custom_css',
					'type'		 => 'custom_css',
					'priority'	 => 1
				)
			)
		);

	// Remove Sections
	$wp_customize->remove_section( 'nav');
	$wp_customize->remove_section( 'static_front_page');
	$wp_customize->remove_section( 'colors');
	$wp_customize->remove_section( 'background_image');
	
}

add_action( 'customize_register', 'pixelshow_register_theme_customizer' );

?>