<?php
/**
 * @package     belinni
 * @version     1.1.5
 * @author      Pixelshow
 * @link        http://pixel-show.com
 * @copyright   Copyright (c) 2017 Pixelshow
 * @license     GPL v2
 */

/**
* Customizer - Add CSS
*/

require_once(get_template_directory() .'/inc/googlefont/fonts.php');

//Header Background Color
function pixelshow_header_backgroundcolor() {

	$header_background_color = get_theme_mod( 'pixelshow_header_background_color' );
	$custom_css = '';
	if($header_background_color){
	$custom_css = " .background-block{ background-color:{$header_background_color};}";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_backgroundcolor' );

//Header Text Color
function pixelshow_header_textcolor() {

	$header_text_color = get_theme_mod( 'pixelshow_header_text_color' );
	$custom_css = '';
	if($header_text_color){
	$custom_css = ".logo-wrapper *{ color:{$header_text_color}!important;}";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_textcolor' );

//Header Opacity
function pixelshow_header_opacity() {

	$header_opacity = get_theme_mod( 'pixelshow_pxs_header_opacity' );

	$custom_css = ".background-opacity{opacity:{$header_opacity}!important;}";
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_opacity' );

//Header Background Image
function pixelshow_header_background_image() {

	$header_background_img = get_theme_mod( 'pixelshow_pxs_header_background' );
	$custom_css = '';
	if($header_background_img){
		$custom_css = " .background-opacity{background-image:url({$header_background_img});} ";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_background_image' );

//Header Margin Top
function pixelshow_header_paddint_top() {

	$header_paddint_top = get_theme_mod( 'pixelshow_pxs_header_padding_top' );
	$custom_css = '';
	if($header_paddint_top){
		$custom_css = " .logo-wrapper{ padding-top: {$header_paddint_top}px; } ";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_paddint_top' );

//Header Margin Bottom
function pixelshow_header_paddint_bottom() {

	$header_paddint_bottom = get_theme_mod( 'pixelshow_pxs_header_padding_bottom' );
	$header_pb = '';
	if($header_paddint_bottom){
	$header_pb = " .logo-wrapper{ padding-bottom: {$header_paddint_bottom}px; } ";
	}
	wp_add_inline_style( 'belinni-main-styles', $header_pb );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_paddint_bottom' );

//Header Logo Width
function pixelshow_header_logo_width() {

	$header_logo_width = get_theme_mod( 'pixelshow_pxs_header_logo_width' );
	$logo_width = '';
	if($header_logo_width){
	$logo_width = " .header-logo,.glide-navigation-logo{ width: {$header_logo_width}px!important;} ";
	}
	wp_add_inline_style( 'belinni-main-styles', $logo_width );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_logo_width' );

//Header Logo Height
function pixelshow_header_logo_height() {

	$header_logo_height = get_theme_mod( 'pixelshow_pxs_header_logo_height' );
	$logo_height = '';
	if($header_logo_height){
	$logo_height = " .header-logo,.glide-navigation-logo{ height: {$header_logo_height}px!important; } ";
	}
	wp_add_inline_style( 'belinni-main-styles', $logo_height );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_header_logo_height' );

//Header Nav Font Size
function pixelshow_nav_fontsize() {
	$header_nav_font_size = get_theme_mod( 'pixelshow_pxs_header_nav_font_size' );
	$custom_css = '';
	if($header_nav_font_size){
		$custom_css = " .navigation li a{font-size:{$header_nav_font_size}px!important;}";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_nav_fontsize' );

//Header Nav Font Weight
function pixelshow_nav_fontweight() {
	$header_nav_font_weight = get_theme_mod( 'pixelshow_pxs_header_nav_font_weight' );
	$custom_css = '';
	if($header_nav_font_weight){
		$custom_css = " .navigation li a{font-weight:{$header_nav_font_weight}!important;}";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_nav_fontweight' );

//Featured Button
function pixelshow_featured_cat_hide() {

	$featured_cat_hide = get_theme_mod( 'pixelshow_pxs_featured_cat_hide' );
	$f_cat_hide = '';
	if($featured_cat_hide){
	$f_cat_hide = " .hero .owl-next, .hero .owl-prev{ display: none!important;} ";
	}
	wp_add_inline_style( 'belinni-main-styles', $f_cat_hide );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_featured_cat_hide' );

//Featured Dots
function pixelshow_featured_dots() {

	$featured_dots = get_theme_mod( 'pixelshow_pxs_featured_dots' );
	$f_dots = '';
	if($featured_dots){
	$f_dots = " .hero .owl-carousel .owl-dots{ display: none!important;} ";
	}
	wp_add_inline_style( 'belinni-main-styles', $f_dots );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_featured_dots' );

//Main Color Accent
function pixelshow_main_color_accent() {

	$main_color_accent = get_theme_mod( 'pixelshow_pxs_color_accent' );
	$color_acc = '';
	if($main_color_accent){
	$color_acc = " ::-moz-selection{background:{$main_color_accent};color: #fff;}
		::selection{background:{$main_color_accent};color: #fff;}
		.widget_mc4wp_form_widget input[type=submit],
		.widget_product_search form input[type=submit],.index_subscribe input[type=submit],.woocommerce span.onsale,.woocommerce a.button,.woocommerce button.button,.woocommerce input.button,.woocommerce #respond input#submit,.woocommerce a.button.alt, .woocommerce a.button.alt:hover,.woocommerce button.button.alt,.woocommerce button.button.alt:hover,.woocommerce input.button.alt,.woocommerce input.button.alt:hover,.woocommerce #respond input#submit.alt,.woocommerce #respond input#submit.alt:hover,.woocommerce a.button:hover,.woocommerce button.button:hover,.woocommerce input.button:hover,.woocommerce #respond input#submit:hover,.woocommerce-Addresses a.edit,.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,.woocommerce .widget_price_filter .ui-slider .ui-slider-range,.widget_shopping_cart a.checkout,.hero .grid-static-posts .category-post-title,.owl-carousel .more-button,.grid-static-posts .category-post-title{background:{$main_color_accent};}
		.post:before,footer a:hover,.navigation li a:hover,.navigation li.current-menu-item > a, .format-quote .category-post-title a:after{color:{$main_color_accent}!important;}
		.widget_mc4wp_form_widget input[type=submit],.widget_product_search form input[type=submit]{background:{$main_color_accent}!important;}
		blockquote{border-left: 7px solid {$main_color_accent};}";
	}
	wp_add_inline_style( 'belinni-main-styles', $color_acc );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_main_color_accent' );

//Typography Body Font Family
function pixelshow_body_styles() {

	$body_font_family = pixelshow_get_fonts( pixelshow_get_theme_mod( 'pixelshow_pxs_body_font_family', 'open_sans' ) );
	$body_font_size = get_theme_mod( 'pixelshow_pxs_body_font_size' );
	$body_font_color = get_theme_mod( 'pixelshow_pxs_body_font_color' );

	$body_fontfamily = '';

	$body_fontfamily = "	body{font-family:'".$body_font_family['css']."',Arial,serif;font-size:".$body_font_size."px;color:".$body_font_color.";}
	input::-webkit-input-placeholder{font-family: '".$body_font_family['css']."', Arial, serif;}input:-moz-placeholder{font-family: '".$body_font_family['css']."', Arial, serif;}input::-moz-placeholder{font-family: '".$body_font_family['css']."', Arial, serif;}input:-ms-input-placeholder{font-family: '".$body_font_family['css']."', Arial, serif;}
	#cancel-comment-reply-link,.woocommerce .button,.woocommerce ul.products .add_to_cart_button,.woocommerce ul.products .added_to_cart, .quantity.mkd-quantity-buttons .mkd-quantity-input,.navbar li a, h1.widget-title,h2.widget-title,h3.widget-title,h4.widget-title,h5.widget-title,h6.widget-title,.widget-tab-titles h3,.comments-counter-title,.comment-reply-title,.top-cart .icons .count {font-family: '".$body_font_family['css']."'!important;}";

	wp_add_inline_style( 'belinni-main-styles', $body_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_body_styles' );

function pixelshow_heading_styles() {

	$heading_font_family = pixelshow_get_fonts( pixelshow_get_theme_mod( 'pixelshow_pxs_heading_font_family', 'poppins' ) );
	$heading_font_weight = get_theme_mod( 'pixelshow_pxs_heading_font_weight' );
	$heading_letter_spacing = get_theme_mod( 'pixelshow_pxs_heading_letter_spacing' );
	$heading_font_color = get_theme_mod( 'pixelshow_pxs_heading_font_color' );

	$heading_fontfamily = '';

	$heading_fontfamily = "	h1,h2,h3,h4,h5,h6{ font-family: '".$heading_font_family['css']."', Arial, serif!important; font-weight:".$heading_font_weight.";letter-spacing:".$heading_letter_spacing."em;color:".$heading_font_color."; }
	.page-title-wrapper,.product-title, .mini_cart_item .remove + a,.single-post .post-switch li a{font-family: '".$heading_font_family['css']."';}";

	wp_add_inline_style( 'belinni-main-styles', $heading_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_heading_styles' );

// Footer
function pixelshow_footer_styles() {

	$footer_background = get_theme_mod( 'pixelshow_pxs_footer_color' );
	$footer_color_1 = get_theme_mod( 'pixelshow_pxs_footer_color_1' );
	$footer_color_2 = get_theme_mod( 'pixelshow_pxs_footer_color_2' );
	$footer_color_border = get_theme_mod( 'pixelshow_pxs_footer_border_colors' );

	$footer_styles = '';
	if($footer_background){
	$footer_styles = "	footer{ background: ".$footer_background.";}footer{color:".$footer_color_2."!important;}footer a,footer h1,footer h2,footer h3,footer h4,footer h5,footer h6,footer i{color: ".$footer_color_1."!important;}.copy-wrapper,footer *{border-color:".$footer_color_border."!important;}";
	}
	wp_add_inline_style( 'belinni-main-styles', $footer_styles );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_footer_styles' );

//H1
function pixelshow_h1_styles() {

	$h1_font_size = get_theme_mod( 'pixelshow_pxs_h1_font_size' );
	$heading_fontfamily = '';

	if($h1_font_size){
		$heading_fontfamily = "	h1{font-size:".$h1_font_size."px; }";
	}

	wp_add_inline_style( 'belinni-main-styles', $heading_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_h1_styles' );

//H2
function pixelshow_h2_styles() {

	$h2_font_size = get_theme_mod( 'pixelshow_pxs_h2_font_size' );
	$h2_fontfamily = '';

	if($h2_font_size){
		$h2_fontfamily = "	h2{font-size:".$h2_font_size."px; }";
	}

	wp_add_inline_style( 'belinni-main-styles', $h2_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_h2_styles' );

//H3
function pixelshow_h3_styles() {

	$h3_font_size = get_theme_mod( 'pixelshow_pxs_h3_font_size' );
	$h3_fontfamily = '';

	if($h3_font_size){
		$h3_fontfamily = "	h3{font-size:".$h3_font_size."px; }";
	}

	wp_add_inline_style( 'belinni-main-styles', $h3_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_h3_styles' );

//H4
function pixelshow_h4_styles() {

	$h4_font_size = get_theme_mod( 'pixelshow_pxs_h4_font_size' );
	$h4_fontfamily = '';

	if($h4_font_size){
		$h4_fontfamily = "	h4{font-size:".$h4_font_size."px; }";
	}

	wp_add_inline_style( 'belinni-main-styles', $h4_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_h4_styles' );

//H5
function pixelshow_h5_styles() {

	$h5_font_size = get_theme_mod( 'pixelshow_pxs_h5_font_size' );
	$h5_fontfamily = '';

	if($h5_font_size){
		$h5_fontfamily = "	h5{font-size:".$h5_font_size."px; }";
	}

	wp_add_inline_style( 'belinni-main-styles', $h5_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_h5_styles' );

//H6
function pixelshow_h6_styles() {

	$h6_font_size = get_theme_mod( 'pixelshow_pxs_h6_font_size' );
	$h6_fontfamily = '';

	if($h6_font_size){
		$h6_fontfamily = "	h6{font-size:".$h6_font_size."px; }";
	}

	wp_add_inline_style( 'belinni-main-styles', $h6_fontfamily );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_h6_styles' );

//Retina Logo
function pixelshow_retina_logo() {

	$retina_logo = get_theme_mod( 'pixelshow_pxs_logo_retina' );
	$pxs_retina_logo = '';

	if($retina_logo){
		$pxs_retina_logo = "
			@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
			only screen and (-moz-min-device-pixel-ratio: 1.5),
			only screen and (-o-min-device-pixel-ratio: 3/2),
			only screen and (min-device-pixel-ratio: 1.5) {
				.retina-logo-img{display: block;}.logo-img{display: none;}
			}";
	}

	wp_add_inline_style( 'belinni-main-styles', $pxs_retina_logo );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_retina_logo' );

//Custom CSS
function pixelshow_custom_css_block() {

	$custom_css_block = get_theme_mod( 'pixelshow_pxs_custom_css' );
	$custom_cssblock = '';
	if($custom_css_block){
	$custom_cssblock = " 	{$custom_css_block} ";
	}
	wp_add_inline_style( 'belinni-main-styles', $custom_cssblock );
}
add_action( 'wp_enqueue_scripts', 'pixelshow_custom_css_block' );

?>