<?php 
/**
 * @package     belinni
 * @version     1.1.5
 * @author      Pixelshow
 * @link        http://pixel-show.com
 * @copyright   Copyright (c) 2017 Pixelshow
 * @license     GPL v2
 */

if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_six_grid' || get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_three_grid') : ?>
	
	<!-- Static grid blocks -->
	<?php $featured_cat = get_theme_mod( 'pixelshow_pxs_featured_cat' ); ?>	
	
	<div class="container">
		<div class="grid-static-posts">
			<?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_six_grid') : ?>
				<?php $feat_query = new WP_Query( array( 'cat' => $featured_cat, 'ignore_sticky_posts' => 1, 'showposts' => 6 ) ); ?>
			<?php endif; ?>

			<?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_three_grid') : ?>
				<?php $feat_query = new WP_Query( array( 'cat' => $featured_cat, 'showposts' => 3 ) ); ?>
			<?php endif; ?>

			<?php if ($feat_query->have_posts()) : while ($feat_query->have_posts()) : $feat_query->the_post(); ?>

				<div 
				 <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_six_grid') : ?>
					style="background-image: url(<?php echo the_post_thumbnail_url('belinni-post-grid'); ?>);background-position: center;background-size:cover;" 
				<?php endif; ?>
				<?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_three_grid') : ?>
					style="background-image: url(<?php echo the_post_thumbnail_url('belinni-full-post'); ?>);background-position: center;background-size:cover;"
				<?php endif; ?>
				class="static-grid<?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'static_three_grid') : ?> static-three-grid<?php endif; ?>">
				<div class="slide-info">
				  <span class="category-post-title"><?php pixelshow_category(' '); ?></span>
				  <h4><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h4>
				  <div class="date"><a><?php the_time( get_option('date_format') ); ?></a></div>
				  <p class="hero-more"><a href="<?php echo get_permalink(); ?>" class="more-link"><span class="more-button"><?php echo esc_html_e( 'Continue Reading', 'belinni' ); ?></span></a></p>
				</div>
			  </div>
			 
			<?php endwhile; endif; ?>
		</div>
	</div>
	
<?php else : ?>

<div class="hero top-header-slider">
  
  <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'one_item') : ?><div class="container"><?php endif; ?>
  <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'two_item') : ?><div class="container"><?php endif; ?>
  <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'four_item') : ?><div class="container"><?php endif; ?>
  
	<?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'two_item') : ?><div class="owl-carousel carousel-two">
	<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'four_item') : ?><div class="owl-carousel carousel-fourit">
	<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'three_full_item') : ?><div class="owl-carousel carousel-full-three">
	<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'one_full_item') : ?><div class="owl-carousel carousel-onef">
	<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'two_full_item') : ?><div class="owl-carousel carousel-twof">
	<?php else : ?><div class="owl-carousel carousel-default">
	<?php endif; ?>
	
	<?php
		$featured_cat = get_theme_mod( 'pixelshow_pxs_featured_cat' );
		$number = get_theme_mod( 'pixelshow_pxs_featured_slider_slides' );
	?>
	<?php $feat_query = new WP_Query( array( 'cat' => $featured_cat, 'ignore_sticky_posts' => 1, 'showposts' => $number ) ); ?>
	<?php if ($feat_query->have_posts()) : while ($feat_query->have_posts()) : $feat_query->the_post(); ?>
	
	
		<?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'one_full_item') : ?>
			<div <?php if(has_post_thumbnail()) : ?>style="
				background-image: url(<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'belinni-big-slider' ); echo esc_attr($image[0]); ?>); background-position: center;"<?php endif; ?> class="item">
		
		<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'two_full_item' || get_theme_mod('pixelshow_pxs_featured_item_view') == 'two_item') : ?>
			<div <?php if(has_post_thumbnail()) : ?>style="
				background-image: url(<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'belinni-big-slider' ); echo esc_attr($image[0]); ?>); background-position: center;"<?php endif; ?> class="item">
		
		<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'three_full_item') : ?>
			<div <?php if(has_post_thumbnail()) : ?>style="
				background-image: url(<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'belinni-middle-size' ); echo esc_attr($image[0]); ?>); background-position: center;"<?php endif; ?> class="item">
		
		<?php elseif(get_theme_mod('pixelshow_pxs_featured_item_view') == 'four_item') : ?>
			<div <?php if(has_post_thumbnail()) : ?>style="
				background-image: url(<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'belinni-big-size' ); echo esc_attr($image[0]); ?>); background-position: center;"<?php endif; ?> class="item">
		
		<?php else : ?>
			<div <?php if(has_post_thumbnail()) : ?>style="
				background-image: url(<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'belinni-big-slider' ); echo esc_attr($image[0]); ?>);
				background-position: center;"<?php endif; ?> class="item">
		
		<?php endif; ?>

		<div class="slide-info">
		  <div class="post-header">
			<?php if(!get_theme_mod('pixelshow_pxs_post_cat')) : ?>
				<span class="category-post-title catery-date-block"><?php pixelshow_category(' '); ?></span>
			<?php endif; ?>
			<h3><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
		</div>
		  <p class="hero-more"><a href="<?php echo get_permalink(); ?>" class="more-link"><span class="more-button"><?php echo esc_html_e( 'Continue Reading', 'belinni' ); ?></span></a></p>
		</div>
	  </div>
	 
	<?php endwhile; endif; ?>
	</div>
	
  <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'one_item') : ?></div><?php endif; ?>
  <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'two_item') : ?></div><?php endif; ?>
  <?php if(get_theme_mod('pixelshow_pxs_featured_item_view') == 'four_item') : ?></div><?php endif; ?>
  
</div>

<?php endif; ?>